<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<form id="pncPayForm" name="pncPayForm" action="" method="post">
	<input name="dataSource" id="dataSource" type="hidden" value=""/>
	<input name="businessNo" id="businessNo" type="hidden" value=""/>
	<input name="signMsg" id="signMsg" type="hidden" value=""/>
	<input name="amount" id="amount" type="hidden" value=""/>
	<input name="currencyNo" id="currencyNo" type="hidden" value=""/>
	<input name="customerName" id="customerName" type="hidden" value=""/>
	<input name="productName" id="productName" type="hidden" value=""/>
	<input name="callBackUrl" id="callBackUrl" type="hidden" value=""/>
</form>
<script type="text/javascript" src="<c:url value='/resources/versions-2.0/js/jquery.min.js' />"></script>
<script type="text/javascript" src="<c:url value='/resources/js/layer/layer.js'/>"></script>
<script>
    var baseUrl = '${pageContext.request.contextPath }';

    $(function(){
        $.ajax({
            type: 'POST',
            url: baseUrl + "/PAC-API/ZZX/paCheckstandAPP",
            data:{oid:'${oid}'},
            dataType:"json",
            cache: false,
            success: function(data){
                $("#dataSource").val(data.dataSource);
                $("#businessNo").val(data.businessNo);
                $("#signMsg").val(data.signMsg);
                $("#amount").val(data.amount);
                $("#currencyNo").val(data.currencyNo);
                $("#customerName").val(data.customerName);
                $("#productName").val(data.productName);
                $("#callBackUrl").val(data.callBackUrl);
                $("#pncPayForm").attr("action",data.url);
                $("#pncPayForm").submit();
            }
        });
    });

</script>